#!/bin/sh

# THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
# 5724-I04 (C) COPYRIGHT International Business Machines Corp., 2009
# All Rights Reserved * Licensed Materials - Property of IBM
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.

# ifix launcher
thisHostname=`hostname -s`
thisDir=`dirname "$0"`
errorsduringinstall=0

if [ ! "$2" ] 
then
  if [  -f ./LI74198.sh ]
 then
 echo "Ifix_LI74198: WVS Ifix LI74198 Installer command syntax: "
 echo "  "
 echo " to install ifix  syntax: ifix_LI74198.sh  -install "
 echo "  "
 echo " to uninstall ifix  syntax: ifix_LI74198.sh -uninstall "
 echo " "
 exit -1
 fi
fi

if [ $# -eq 0 ]
then
 echo "Ifix_LI74198: WVS Ifix LI74198 Installer command syntax: "
 echo " to install ifix  syntax: ifix_LI74198 -install "
 echo "  "
 echo " to uninstall ifix  syntax: ifix_LI74198.sh -uninstall "
 echo " "
 exit -1
fi   
   

if [ ! "$WVS_ROOT" ] ; then
   echo "Ifix_LI74198: Please configure WebSphere Voice Server wvs.setenv according"
   echo "         to the WVS InfoCenter "
  exit -1
fi


isInstallOption=false
isUnInstallOption=false
nonJavaOptionCount=1
for option in "$@" ; do
  if [ "$option" = "-install" ] ; then
     isInstallOption=true
  else
     if [ "$option" = "-uninstall" ] ; then
        isUnInstallOption=true
     fi
  fi
done

if [ "$isInstallOption" = "true" ] ; then
  if [ -f $WVS_ROOT/ifix/LI74198/precompiler.jar.bak ] ; then
    echo "Ifix_LI74198: Ifix LI74198 is applied, please uninstall before trying to reinstall ifix"
    exit -1
  fi
fi

if [ "$isInstallOption" = "true" ] ; then
 # Check that the ifix files are found
 echo "Ifix_LI74198: Checking for ifix files ..."
  if [ -f $thisDir/precompiler.jar ] ; then
    if [ -f $thisDir/precompiler.jar ] ; then
      echo "Ifix_LI74198: Ifix files found.. proceeding to install ifix"
      mkdir -p $WVS_ROOT/ifix/LI74198
      cp -p $thisDir/LI74198.sh $WVS_ROOT/ifix/ifix_LI74198.sh
      
      cp -p $WVS_ROOT/ViaVoice/bin/precompiler.jar $WVS_ROOT/ifix/LI74198/precompiler.jar.bak    
      
      cp -fbp $thisDir/precompiler.jar $WVS_ROOT/ViaVoice/bin/.
      
      chmod 755 $WVS_ROOT/ViaVoice/bin/precompiler.jar

      echo "Ifix_LI74198: Ifix is now applied"
      
    else
      echo "Ifix_LI74198: Ifix files missing, please make sure this script is in same directory as the binary files" 
    fi
  fi
  cp -fp $thisDir/LI74198.log $WVS_ROOT/log/.
fi

if [ "$isUnInstallOption" = "true" ] ; then
 # Check that the ifix backup files are found
 echo "Ifix_LI74198: Checking for ifix backup files ..."
  if [ -f $WVS_ROOT/ifix/LI74198/precompiler.jar.bak ] ; then
    if [ -f $WVS_ROOT/ifix/LI74198/precompiler.jar.bak ] ; then
      echo "Ifix_LI74198: Ifix backup files found.. proceeding to un-install ifix"
      
      cp -fp $WVS_ROOT/ifix/LI74198/precompiler.jar.bak  $WVS_ROOT/ViaVoice/bin/precompiler.jar
	  
      chmod 755 $WVS_ROOT/ViaVoice/bin/precompiler.jar

      echo "Ifix_LI74198: Ifix is now uninstalled"
      echo "Ifix_LI74198:  Please remove the $WVS_ROOT/ifix/LI74198 directory before attempting a subsequent install of this ifix."
      
    else
      echo "Ifix_LI74198: Ifix backup files missing, uninstall not performed"
    fi
  else
    echo "Ifix_LI74198: Ifix backup files missing, uninstall not performed"
  fi
fi
exit $?
